#ifndef CHAT_H_INCLUDED
#define CHAT_H_INCLUDED
//-----------------------------------------------------------------------
#include "types.h"
#include "kademlia.h"
#include "control.h"
#include "..\Audio\codec_interface.h"
//----------------------------------------------------------------------------
typedef struct {
	HWND chatWnd;
	HWND ringWnd;
	NODE nd;
	UINT msg_height;
	CONTR_PROT* contr;
	SPEEX_CODEC* codec;
	
	HANDLE thVoice;
	HANDLE eStop;
	bool restart;
	bool mute;

	WAVEIN* win;
	WAVEOUT* wout;
	FILE* F;
} chat_t;
//----------------------------------------------------------------------------
HWND StartChat(HWND hWnd, NODE* nd);
//-----------------------------------------------------------------------
#endif //CHAT_H_INCLUDED
