#ifndef PASSWORD_H_INCLUDED
#define PASSWORD_H_INCLUDED
//-----------------------------------------------------------------------
#include "types.h"
//----------------------------------------------------------------------------
static const u32 password_max_length = 128;
//-----------------------------------------------------------------------
u32 PasswordRequest(HWND hWnd, u8* password, int* remember);
BOOL GenerateKey(HWND hWnd, LPTSTR keyFileName);
u32 ChangePassword(HWND hWnd, LPTSTR keyFileName, u8* new_password);
bool LoadKey(HWND hWnd, LPTSTR fileName, SECRET_DATA *data);
//-----------------------------------------------------------------------
bool save_file_signature(pctstr_t filename);
bool verify_file_signature(pctstr_t filename);
//-----------------------------------------------------------------------
#endif //PASSWORD_H_INCLUDED
