#ifndef PARAMS_H_INCLUDED
#define PARAMS_H_INCLUDED
//-----------------------------------------------------------------------
#include "types.h"
//-----------------------------------------------------------------------
static const u32 NETWORK_ID_LENGTH = 8;		// 256-bit ID
//-----------------------------------------------------------------------
static const u32 KADEMLIA_K = 20;			// k-parameter of the network
static const u32 KADEMLIA_A = 3;			// a-parameter of the network
static const u32 KADEMLIA_PING_MAX = 5;		// number of unsuccessful pings
static const u32 KADEMLIA_WAITING_MAX = 10;	// maximum number of nodes in waiting list for each bucket
//-----------------------------------------------------------------------
#endif
